EndpointsRouting

Match a recorded shape against the road network

Forwards the shape to the self-hosted Valhalla `trace_attributes` endpoint and returns per-edge surface data. Used by the web app to render surface composition for a Route.

POST
/routing/trace-attributes

Request Body

application/json
  1. body
costing*string

Costing model used by Valhalla to match the shape to edges.

Value in"pedestrian""bicycle""auto"
shape*array<>

Recorded shape points to match against the road network. Capped at 1500 points.

Items2 <= items <= 1500

Response Body

Edge attributes

application/json
  1. response
edges*array<>
shape?string

Polyline6-encoded matched shape returned by Valhalla.

curl -X POST 'https://api.routess.com/routing/trace-attributes' \  -H 'Content-Type: application/json' \  -d '{  "costing": "pedestrian",  "shape": [    {      "lat": 50.8467,      "lon": 4.3525    },    {      "lat": 50.8467,      "lon": 4.3525    }  ]}'
{  "edges": [    {      "surface": "string",      "length": 0,      "begin_shape_index": 0,      "end_shape_index": 0    }  ],  "shape": "string"}